#include <stdio.h>
#include <stdlib.h>


#include <mbedtls/hkdf.h>
#include <mbedtls/hmac_drbg.h>
#include <mbedtls/hkdf.h>
#include <mbedtls/md.h>
#include <mbedtls/sha1.h>
#include <mbedtls/sha256.h>


#include <defines.h>

//int createUDS();					//create rand file. to be replaced with real fuse pointer

int readUDS(uint8_t* UDSdigest);
int readFWID(uint8_t * FW_M);
int _calcCDID(uint8_t * CDID);
int _calcCDIKEY(uint8_t * CDIKEY);